
zahl=0

cd $INFILMZ

for i in bangbros curio wifey woodman gif ggc teenburg rychlyprachy kissingmodels; do

echo "doing "$i" ... Doks: "`ls $i | wc -l`


cd $i
ls | grep -v Thumbs.db |
		while read jpg
			do
			zahl=`expr $zahl + 1`
			if [ -e "$OUTFILMZ/$i/$jpg" ];
				then
				# DATEI SCHON VORHANDEN
				sum1=`cksum "$INFILMZ/$i/$jpg"|awk -F' ' '{print $1}'`
				sum2=`cksum "$OUTFILMZ/$i/$jpg"|awk -F' ' '{print $1}'`
				if [ "$sum1" = "$sum2" ];
					then
					# Datei identisch
					echo "$OUTFILMZ/$i/$jpg $INFILMZ/$i/$jpg " >> $OUTFILMZ/doppelt.txt
					export jpgg="$jpg"
					export dummyz=$zahl"+"
				else
					export dummyz=$zahl"-"
					export jpgg=`echo $jpg | sed -e 's/\./_\./g'`
					while [ -e "$OUTFILMZ/$i/$jpgg" ];
						do
						export jpgg=`echo $jpgg | sed -e 's/\./_\./g'`
						done
					echo "$INFILMZ/$i/$jpg $OUTFILMZ/$i/$jpg " >> $OUTFILMZ/Name_geaendert.txt
				fi

			else
				# DATEI FRISCH UND NEU
				export dummyz=$zahl
				export jpgg="$jpg"
			fi;

			echo -n "$dummyz "
			mv "$INFILMZ/$i/$jpg" "$OUTFILMZ/$i/$jpgg" 2>/dev/null
				
			done
		cd ..
echo ""
done


cd $INFILMZ/s
ANZAHL=`ls $INFILMZ/s |grep -v Thumbs | wc -l`

ZFILMZDIR=$OUTFILMZ/s/`date "+%Y"`/`date "+%m_%d"`

echo "FILME: $ANZAHL"

if [ "$ANZAHL"x != 0x ]; then                                
         if [ -e "$ZFILMZDIR" ]; then                        
              zaehler=0                                      
              export ZFILMZDIRTMP=$ZFILMZDIR                 
              while [ -e "$ZFILMZDIR" ];                     
                  do                                         
                  export zaehler=`expr $zaehler + 1`         
                  export ZFILMZDIR=$ZFILMZDIRTMP""_$zaehler  
                  done                                       
         fi                                                  
                                                             
         echo "creating $ZFILMZDIR ..."                      
         mkdir -p $ZFILMZDIR                                 
                                                              
                                     
         zahl=0                                              
                                                             
         ls | while read i ; do                              
              # echo "$i"                                    
              zahl=`expr $zahl + 1`                          
              mv "$INFILMZ/s/$i" "$ZFILMZDIR" 2>/dev/null
              echo -n $zahl" "                               
         done                                                
fi                                                           
echo ""                                    